Download it now!
Bug 126239 - Option “Sidebar icon size” has no Effect on Several Icons of the Sidebar
Summary: Option “Sidebar icon size” has no Effect on Several Icons of the Sidebar
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2019-07-05 09:25 UTC by Harald Koester
Modified: 2020-10-02 05:59 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2019-07-05 09:25:38 UTC
The option “Sidebar icon size” has no effects on this sidebar icons in Writer:
(a) Icons of vertical bar: Sidebar Settings, Properties, Page, Styles, Gallery, Navigator
(b) Horizontal bar of panel Styles: Paragraph Styles, Character Styles, … Independent of the option “Sidebar icon size” these icons are always small.
(c) The icons “Icon View” and “Detailed View” in panel Gallery. Both are always large.
(d) Both horizontal bars of panel Navigator: Navigation, Previous Page, Next Page, … These icons are always small.

In order to reproduce the bug:
[1] Change option LibreOffice > View > Sidebar icon size to Small or to Large.
[2] Display the different panels of the sidebar.

Also in Calc, Impress and Draw the option has no effects on several icons.
Comment 1 V Stuart Foote 2019-07-31 12:55:06 UTC
Confirmed on Windows 10 Home 64-bit en-US (1903) with
Version: 6.2.5.2 (x64)
Build ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

and with recent master/6.4.0
Version: 6.4.0.0.alpha0+ (x86)
Build ID: 382aceb80d3c0f420d51762e1f88eee2334ff11b
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

Changes to the icon packing on shift between small/large icons would have greater visual impact on a HiDPI screen--that is, what is changed on toggle vs. what is affected on toggle, just some remaining too small. So agree the full Sidebar UI should respond (likewise the packing on the NB) which at 1920x1080 gets too tight with the large icons.

I did note in testing this that the on toggle to one or the other sizes--the icon for dialog call out of 'More Options' for its respective deck gets dropped. The button is still active, but dialog icon is gone.
Comment 2 V Stuart Foote 2019-07-31 13:29:55 UTC
> vs. what is affected on toggle, just some remaining too small...

s/affected/unaffected
Comment 3 Heiko Tietze 2019-08-01 06:48:57 UTC
Well, then let's treat this as a bug. The functionality small/large icons should be applied at all places.

Remark: I would questioning the icon size in general. Don't see a good use case, and if there is one we better provide dedicated icon sets.
Comment 4 V Stuart Foote 2019-08-01 13:50:05 UTC
(In reply to Heiko Tietze from comment #3)
> Well, then let's treat this as a bug. The functionality small/large icons
> should be applied at all places.

OK...

> 
> Remark: I would questioning the icon size in general. Don't see a good use
> case, and if there is one we better provide dedicated icon sets.

Well, going forward it would be useful for more than just applying the current small/large icon size toggle on the Sidebar.

Supporting enhancements like

-- using an extra large icon choice across the UI, like for just toolbars now
-- adjustable scale icons using SVG (HiDPI down through nominal 96dpi use), to return user scaling the UI (bug 101646)
-- apply fg/bg color to a monochromatic SVG icon theme (e.g. sifr)

So more than just consistent Automatic/user assignment of small/large/extra large the GUI needs a mechanism for controlling the full set of an active icon theme.
Comment 5 andreas_k 2020-10-02 05:59:16 UTC
in the property panel where most icons are, they use the size from the user setting.